% Generated by roxygen2 (4.0.2): do not edit by hand
\name{jump_to}
\alias{follow_link}
\alias{jump_to}
\title{Navigate to a new url.}
\usage{
jump_to(x, url, ...)

follow_link(x, i, ...)
}
\arguments{
\item{x}{A session.}

\item{url}{A URL, either relative or absolute, to navigate to.}

\item{...}{Any additional httr configs to apply to this request.}

\item{i}{You can select with: \describe{
  \item{an integer}{selects the ith link}
  \item{a css or xpath selector}{selects first link that matches selector}
  \item{a string}{first link containing that text (case sensitive)}
}}
}
\description{
\code{jump_to()} takes a url (either relative or absolute);
\code{follow_link} takes an expression that refers to a link (an \code{<a>}
tag) on the current page.
}
\examples{
\donttest{
s <- html_session("http://had.co.nz")
s \%>\% jump_to("thesis/")
s \%>\% follow_link("vita")
s \%>\% follow_link(3)
}
}

